## org.apache.felix.shell
Interface CdCommand

All Superinterfaces:
  Command

All Known Implementing Classes:
  CdCommandImpl

    public interface CdCommand

extends Command

This interface defines the `cd` command service interface for the Felix impl service. The `cd` command does not really change the directory of the impl, rather it maintains a base URL for simplifying URL entry.

For example, if the base URL is `http://www.foo.com/`and you try to install a bundle `foo.jar`, the actual URL will be expanded to `http://www.foo.com/foo.jar`. Any bundles wishing to retrieve or set the current directory of the impl can use this service interface.``

Field Summary
`static java.lang.String` `BASE_URL_PROPERTY` Property used to configure the base URL.

Method Summary
`java.lang.String` `getBaseURL()` Returns the current directory of the impl service.
`void` `setBaseURL(java.lang.String s)` Sets the current directory of the impl service.

Methods inherited from interface org.apache.felix.shell.Command
`execute, getName, getShortDescription, getUsage`

Field Detail

### BASE_URL_PROPERTY

    static final java.lang.String BASE_URL_PROPERTY

  Property used to configure the base URL.

  See Also:
    Constant Field Values

Method Detail

### getBaseURL

    java.lang.String getBaseURL()

  Returns the current directory of the impl service.

  Returns:
    the current impl directory.

### setBaseURL

    void setBaseURL(java.lang.String s)

  Sets the current directory of the impl service.

  Parameters:
    `s` - the new value for the base URL.

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.